JOBARG_EXEC(1)

NAME
jobarg_exec - Jobarranger Jobnet execution utility.

SYNOPSIS
jobarg_exec [-hV] -z <server> [-p <port>] -U <user-name> -P <password> -j <jobnet-id> [-t <YYYYMMDDHHMM>] [-E <environment-variables>,...] [-D]

DESCRIPTION
jobarg_exec is a command line utility for executing jobnet to a remote Jobarranger server.

  Options

-z <server>
    Hostname or IP address of Jobarranger server.

-p <port>
    Specify port number of server trapper running on the server. Default is 10061.

-U <user-name>
    Specify a user with authority to operate the jobnet.

-P <password>
    The user password.

-j <jobnet-id>
    Specify jobnet id as registered in Jobarranger front-end.

-t <YYYYMMDDHHMM>
    Specify start time of the jobnet.

-E <environment-variable>,...
    Specify the environment variable name to be registered in the jobnet. You can have multiple contains a comma.

-D  Specify the double registration deterrence of time start-up with -t option.

-h  Display this help and exit.

EXIT STATUS
The exit status is 0 if the jobnet has been started successfully registered. Exit status is 255 if it fails to register a jobnet or parameter error.

SEE ALSO
jobarg_server(8), jobarg_agentd(8), jobarg_get(1), jobarg_joblogput(1), jobarg_release(1)

AUTHOR
Yasuhiko Kato <kato@fitechforce.co.jp>